%def_disable debug
%def_disable prof
%def_disable werror
%def_enable ao
%def_enable shout
%def_enable shout_ogg
%def_enable shout_mp3
%def_enable iconv
%def_enable tcp
%def_enable un
%def_enable curl
%def_disable ipv6
%def_disable sun
%def_enable oss
%def_enable alsa
%def_enable jack
%def_enable pulse
%def_enable fifo
%def_enable mvp
%def_enable oggvorbis
%def_enable oggflac
%def_enable flac
%def_enable mp3
%def_enable lame
%def_enable aac
%def_enable audiofile
%def_enable mod
%def_enable faad
%def_enable mpc
%def_enable ffmpeg
%def_enable wavpack
%def_enable id3
%def_enable lsr
%def_without tremor
# auto|avahi|bonjour|no
%define zeroconf avahi
%define mpd_user _mpd
%define mpd_group _mpd
#----------------------------------------------------------------------
%define subst_enable_to() %{expand:%%{?_enable_%{1}:--enable-%{2}}} %{expand:%%{?_disable_%{1}:--disable-%{2}}}
%define set_disable() %{expand:%%force_disable %{1}} %{expand:%%undefine _enable_%{1}}

%if_with tremor
%set_disable shout
%set_disable oggflac
%endif
%{!?zeroconf:%define zeroconf no}

%define Name MPD
Name: mpd
Version: 0.14
%define prerel %nil
Release: alt1
Summary: Music Player Daemon (%Name) allows remote access for playing music and managing playlists. 
License: %gpl2plus
Group: Sound
URL: http://musicpd.org
Source0: %url/uploads/files/%name-%version%prerel.tar
Source1: %name.conf
Source2: %name.sys.conf.in
Source3: %name.init.in
Source4: %name.logrotate
Patch: %name-%version-%release.patch
Packager: Led <led@altlinux.ru>

BuildRequires(pre): rpm-build-licenses
BuildRequires: xmlto zlib-devel
%{?_enable_curl:BuildRequires: libcurl-devel}
%{?_enable_alsa:BuildRequires: libalsa-devel >= 0.9.0}
%{?_enable_jack:BuildRequires: jackit-devel}
%{?_enable_ao:BuildRequires: libao-devel}
%{?_enable_shout:BuildRequires: libshout2-devel}
%{?_enable_audiofile:BuildRequires: libaudiofile-devel >= 0.1.7}
%{?_enable_mod:BuildRequires: libmikmod-devel >= 3.1.7}
%{?_enable_faad:BuildRequires: libfaad-devel}
%{?_enable_flac:BuildRequires: libflac-devel >= 1.1.3}
%{?_enable_oggflac:BuildRequires: liboggflac-devel}
%{?_enable_id3:BuildRequires: libid3tag-devel}
%{?_enable_mp3:BuildRequires: libmad-devel}
%{?_enable_lame:BuildRequires: liblame-devel}
%{?_enable_mpc:BuildRequires: libmpcdec-devel}
%{?_enable_ffmpeg:BuildRequires: libavformat-devel}
%{?_enable_wavpack:BuildRequires: libwavpack-devel}
%{?_enable_pulse:BuildRequires: libpulseaudio-devel}
%{?_enable_oggvorbis:BuildRequires: libvorbis-devel}
%{?_enable_lsr:BuildRequires: libsamplerate-devel}
%if %zeroconf == avahi
BuildRequires: libavahi-devel
%endif

%description
Music Player Daemon (%Name) allows remote access for playing music
(MP3, Ogg Vorbis, FLAC, AAC, Mod, and wave files) and managing
playlists. %Name is designed for integrating a computer into a stereo
system that provides control for music playback over a local network.
It is also makes a great desktop music player, especially if you are a
console junkie, like frontend options, or restart X often.


%prep
%setup -n %name-%version%prerel
%patch -p1
[ $(rpmvercmp %{get_version libflac-devel} 1.1.3) -lt 0 ] || subst 's/AM_PATH_LIBOGGFLAC/AM_PATH_LIBFLAC/' configure.ac


%build
%define _optlevel 3
%autoreconf
%configure \
%ifarch x86_64
    --with-pic \
%endif
    %{subst_enable debug} \
    %{subst_enable_to prof gprof} \
    %{subst_enable werror} \
    %{subst_with tremor} \
    %{subst_enable ao} \
    %{subst_enable shout} \
    %{subst_enable shout_ogg} \
    %{subst_enable shout_mp3} \
    %{subst_enable iconv} \
    %{subst_enable tcp} \
    %{subst_enable un} \
    %{subst_enable curl} \
    %{subst_enable ipv6} \
    %{subst_enable sun} \
    %{subst_enable oss} \
    %{subst_enable alsa} \
    %{subst_enable jack} \
    %{subst_enable pulse} \
    %{subst_enable fifo} \
    %{subst_enable mvp} \
    %{subst_enable oggvorbis} \
    %{subst_enable flac} \
    %{subst_enable oggflac} \
    %{subst_enable mp3} \
    %{subst_enable lame} \
    %{subst_enable aac} \
    %{subst_enable audiofile} \
    %{subst_enable mod} \
    %{subst_enable mpc} \
    %{subst_enable ffmpeg} \
    %{subst_enable wavpack} \
    %{subst_enable id3} \
    %{subst_enable lsr} \
    --with-zeroconf=%zeroconf
%make_build
bzip2 --best --keep --force NEWS


%install
%make_install DESTDIR=%buildroot docdir=%_docdir/%name-%version install
install -d %buildroot{%_localstatedir/%name/playlists,{/var/run,%_logdir}/%name,%_sysconfdir,%_initdir}
install -m 0644 %SOURCE1 %buildroot%_sysconfdir/%name.conf
sed 's/@MPD_USER@/%mpd_user/g' %SOURCE2 > %buildroot%_sysconfdir/%name.sys.conf
chmod 640 %buildroot%_sysconfdir/%name.sys.conf
sed 's/@MPD_USER@/%mpd_user/g' %SOURCE3 > %buildroot%_initdir/%name
chmod 755 %buildroot%_initdir/%name
install -D -m 0644 %SOURCE4 %buildroot%_sysconfdir/logrotate.d/%name


%pre
%_sbindir/groupadd -r -f %mpd_group &>/dev/null ||:
%_sbindir/useradd -r -n -M -s /dev/null -d %_localstatedir/%name -g %mpd_group \
    -c "Music Player Daemon (%Name)" %mpd_user &>/dev/null ||:
%_sbindir/usermod -g %mpd_group -G audio %mpd_user &>/dev/null ||:


%post
%post_service %name ||:


%preun
%preun_service %name ||:


%files
%doc AUTHORS NEWS.* README TODO UPGRADING doc/{%{name}conf.example,protocol.html}
%config(noreplace) %_sysconfdir/%name.conf
%config(noreplace) %_sysconfdir/%name.sys.conf
%config(noreplace) %_sysconfdir/logrotate.d/*
%_bindir/*
%_man1dir/*
%_man5dir/*
%_initdir/*
%attr(775,root,%mpd_group) %dir %_localstatedir/%name
%attr(775,root,%mpd_group) %dir %_localstatedir/%name/playlists
%attr(775,root,%mpd_group) %dir /var/run/%name
%attr(775,root,%mpd_group) %dir %_logdir/%name


%changelog
* Sat Dec 27 2008 Led <led@altlinux.ru> 0.14-alt1
- 0.14 release

* Sun Dec 21 2008 Led <led@altlinux.ru> 0.14-alt0.1
- 0.14-beta3:
  + new plugins: fifo, null, ffmpeg, aac, wavpack
  + new commands: addid, idle
  + support connecting via unix domain socket
  + 24 bit audio support
  + allow authenticated local users to add any local file to the
    playlist

* Sun Aug 10 2008 Led <led@altlinux.ru> 0.13.2-alt3
- fixed spec
- added %name-0.13.2-alt.patch

* Sun Jul 27 2008 Led <led@altlinux.ru> 0.13.2-alt2
- added script for logrotate (#16420)

* Sat Jul 05 2008 Led <led@altlinux.ru> 0.13.2-alt1
- 0.13.2:
  + several bugfixes
  + faster stored playlists
  + Bonjour support
  + .oga suffix support for Ogg containers
- fixed "Security packaging Policy violation" (#15830)
- added %name-0.13.2-alt-encoding_output_fix.patch for resolve #8655
  (thanx php-coder for concept)

* Thu Mar 06 2008 Led <led@altlinux.ru> 0.13.1-alt1
- 0.13.1

* Fri Sep 14 2007 Led <led@altlinux.ru> 0.13.0-alt3
- libflac-devel version qualifing with rmpvercmp

* Thu Sep 13 2007 Led <led@altlinux.ru> 0.13.0-alt2
- added init script (fixed #12707)
- updated default %_sysconfdir/%name.conf
- added default %_sysconfdir/%name.sys.conf (for system wide service)
- updated mpd-0.13.0-configure.patch
- fixed License

* Mon Sep 10 2007 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 0.13.0-alt1
-  0.13.0.
-  fix build with libshout2 (#12708).

* Sat Apr 21 2007 ALT QA Team Robot <qa-robot@altlinux.org> 0.12.1-alt1.0
- Rebuilt due to libFLAC.so.7 -> libFLAC.so.8 soname change.

* Mon Feb 26 2007 Led <led@altlinux.ru> 0.12.1-alt1
- NMU (fixed #10874)
- 0.12.1
- fixed BuildRequires
- added %name-0.12.1-configure.patch
- added mpd-0.12.1+flac-1.1.3.patch
- cleaned up spec

* Mon Sep 25 2006 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 0.12.0-alt1
- 0.12

* Fri Sep 15 2006 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 0.12.0rc4-alt1
-  0.12.0rc4.
	- libao support;
	- pulseaudio support;
	- support for more media formats.

* Wed Nov 02 2005 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 0.11.5-alt1.2
-  fix for #8395 (10x to Alexei V. Mezin).

* Thu Feb 10 2005 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 0.11.5-alt1
-  initial build.
